Subject: [bug#53930] [PATCH] gnu: Add emacs-nyan-mode.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 11 Feb 2022 06:10:33 +0100

Am Donnerstag, dem 10.02.2022 um 23:58 +0100 schrieb Nicolas Goaziou:
> Hello,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > * gnu/packages/emacs-xyz.scm (emacs-nyan-mode): New variable.
> 
> And I thought Guix was a serious distribution… ;)
How serious can Guix be if it lacks nyan-mode? 😺️

> > +(define-public emacs-nyan-mode
> > +  (package
> > +    (name "emacs-nyan-mode")
> > +    (version "1.1.3")
> > +    (source
> > +     (origin
> > +       (method url-fetch)
> > +       (uri (string-append
> > +             "https://stable.melpa.org/packages/nyan-mode-"
> > +             version
> > +             ".tar"))
> 
> Using anything MELPA is generally frowned upon. What are the reasons
> for not using upstream releases instead?
That's the code the importer gave me and I didn't know MELPA uses
autogenerated tarballs.  Will use git-fetch instead.

> > +       (sha256
> > +        (base32
> > "1hd3g1lnwsg7z3g9qvshlmlirgzyja4hjxxgdfpkaakafm87n58c"))))
> > +    (build-system emacs-build-system)
> > +    (arguments (list #:include #~(cons* "img/" "mus/" %default-
> > include)))
> > +    (home-page "https://github.com/TeMPOraL/nyan-mode/")
> > +    (synopsis "Nyan Cat as position indicator")
> 
> Maybe: Nyan Cat as position indicator in a buffer
Nyan Cat as a buffer position indicator?

> > +    (description
> > +     "Nyan Mode is an analog indicator of your position in the
> > buffer.  
> 
> I know the project name is "nyan mode" but still:
> 
> Nitpick: Nyan mode is…
I copied the title-case from the package preceding it.  WDYT about
"@code{nyan-mode} is", which would have been my goto before reading
that other description?

Cheers